Subject: Relationship Between Bearers and Terminations

From: Tom-PT Taylor <[email-masked]>
Date: Sun, 19 Dec 1999 06:25:16 -0600

I am going to provide evidence below that before Washington we identified
terminations with bearers.  At Washington, however, Brian Rosen suggested
that each stream supported by a termination might possibly run over a
different bearer.  This took me by surprise, but no one has objected to the
idea.*

What I now find on reviewing the protocol and requirements is that
inconsistencies have popped up: the evidence I referred to above that we
really identified terminations with bearers.
-- What does a physical/provisioned termination mean, if different streams
on it could be routed by different bearers?
-- What does it mean for a termination to go out of service?
-- (As we have already grasped) Do termination names possibly have any
meaning if they consist of ad hoc groupings of bearers?

IMHO we have to make a clear decision about the semantic intent of
"termination".  Either it has a fixed relationship to bearer (the intent, I
believe, prior to Washington), or it is independent of bearer.  The latter
has the immediate consequence that "circuits" are a separate concept,
requiring the definition of a "TDM" nettype and corresponding addrtype(s) in
SDP.

* Off the topic, I believe the only rational interpretation of "termination"
at the moment is that it represents a participant in a conference.

Tom Taylor
Advisor -- IPConnect Standards
E-mail: [email-masked] (internally, Tom-PT Taylor)
Phone and FAX: +1 613 736 0961

---

From: Tom-PT Taylor <[email-masked]>
Date: Thu, 23 Dec 1999 12:31:23 -0500

One stream (e.g. voice or video) may want RTP/UDP/IP, while another (e.g.
T.120) may need TCP/IP.  There may be variations in ATM space, but I'll
leave experts to play with those.

In SDP, one specifies the nettype and addrtype on the "c=" line and the rest
of the stack on the "m=" line.

> -----Original Message-----
> From: John A. Voelker [SMTP:[email-masked]]
> Sent: Thursday, December 23, 1999 12:03 PM
> To:   Taylor, Tom-PT [CAR:B904-I:EXCH]
> Cc:   [email-masked]
> Subject:      Re: Relationship Between Bearers and Terminations
>
> Tom,
>
> I agree with what you and Brian decided.  The word "bearer" can be retired
> from
> our vocabulary.  Could you elaborate a bit on "stack variations at the
> stream
> level"?
>
> John Voelker
>
> > Tom-PT Taylor wrote:
> >
> > I have discussed this matter with Brian Rosen.  We have agreed that we
> should
> > consider terminations to represent bearers.  Hence all transport over a
> given
> > termination must use the same network type (IP, ATM, TDM, FR), and this
> > network type should be specified as a property of the termination in
> > TerminationState.  This still leaves room for stack variations at the
> stream
> > level -- something I've just thought up on the fly, so it is open to
> question,
> > but consistent with how multimedia conferencing works.
> >
> > I realize most people have knocked off for the holidays at this point,
> so if
> > there are objections to the proposed viewpoint they can be reviewed in
> the New
> > Year.
> >
> >      -----Original Message-----
> >      From:   Taylor, Tom-PT [CAR:B904-I:EXCH]
> >      Sent:   Sunday, December 19, 1999 7:25 AM
> >      To:     [email-masked]
> >      Subject:        Relationship Between Bearers and Terminations
> >
> >      different bearer.  This took me by surprise, but no one has
> objected to
> >      the
> >      idea.*
> >
> >      "termination".  Either it has a fixed relationship to bearer (the
> intent,
> >      I
> >      requiring the definition of a "TDM" nettype and corresponding
> addrtype(s)
> >      in
> >      SDP.
> >